| openPilotLog

Public Member Functions | Public Attributes | List of all members
ACalc::NightTimeValues Struct Reference

The NightTimeValues struct encapsulates values relating to night time that are needed by the NewFlightDialog. More...

`#include <acalc.h>`

## Public Member Functions
| NightTimeValues (const QString &dept, const QString &dest, const QDateTime &departure_time, int block_minutes, int night_angle)
| NightTimeValues (bool to_night, bool ldg_night, int night_minutes, QTime night_time, QTime total_time)
bool | isAllDay ()
bool | isAllNight ()
bool | isDayToNight ()
bool | isNightToDay ()

## Public Attributes
bool | takeOffNight
bool | landingNight
int | nightMinutes
QTime | nightTime
QTime | totalTime

## Detailed Description

The NightTimeValues struct encapsulates values relating to night time that are needed by the NewFlightDialog.

The documentation for this struct was generated from the following file:

- src/functions/acalc.h